// import { useNavMenuStore } from '@/store/modules/navMenu'
// import { usePermissionStore } from '@/store/modules/permission'
import { NOT_FOUND_ROUTE, REDIRECT_ROUTE } from '@/router/routes'
// import { getToken } from '@/utils/token'

// const WHITE_LIST = ['/login', '/redirect']
export function createPermissionGuard(router) {
  // const navMenuStore = useNavMenuStore()
  // const permissionStore = usePermissionStore()
  router.beforeEach(async(to, from, next) => {
    /* 如果是白名单，则判断是否已加载导航数据 */
    // if (WHITE_LIST.includes(to.path)) {
    if (to.meta.isWhite) {
      // const hasNavRoutes = !!navMenuStore.menus.length
      // if (hasNavRoutes) {
      next()
      // } else {
      //   try {
      //     await navMenuStore.generateMenus()
      //     router.addRoute(NOT_FOUND_ROUTE)
      //     router.addRoute(REDIRECT_ROUTE)
      //     next({ ...to, replace: true })
      //   } catch (error) {
      //     next({ path: '/login', query: { ...to.query, redirect: to.path }})
      //   }
      // }
    } else {
      /* 判断访问白名单外的页面是否存在token */
      // const token = getToken()
      const token = true
      if (token) {
        /* 如果存在token，登录时直接进入主页 */
        if (to.path === '/login') {
          next({ path: '/' })
        } else {
          // const hasRoutes = !!permissionStore.permissionRoutes.length
          const hasRoutes = true
          if (hasRoutes) {
            next()
          } else {
            // try {
            //   const routes = await permissionStore.generateRoutes()
            //   routes.forEach((item) => {
            //     router.addRoute(item)
            //   })
            //   next({ ...to, replace: true })
            // } catch (error) {
            //   next({ path: '/login', query: { ...to.query, redirect: to.path }})
            // }
          }
        }
      } else {
        next({ path: '/login', query: { ...to.query, redirect: to.path }})
      }
    }
  })
}
