const common = {
  /* 主要颜色 */
  primaryColor: 'rgba(18, 87, 250, 1)',
  /* 悬浮颜色 */
  primaryColorHover: 'rgba(56, 114, 251, 1)',
  /* 按压的颜色 */
  primaryColorPressed: 'rgba(16, 77, 220, 1)',
  textColor: 'rgba(51, 51, 51, 1)',
  whiteColor: 'rgba(255, 255, 255, 1)'
}

const themeOverrides = {
  common,
  Menu: {
    /* 菜单文本 */
    itemTextColor: common.textColor,
    itemTextColorHover: common.textColor,
    itemTextColorActive: common.textColor,
    itemTextColorChildActive: common.textColor,
    itemTextColorActiveHover: common.textColor,
    /* 图标 */
    itemIconColor: 'rgb(31, 34, 37)',
    itemIconColorHover: 'rgb(31, 34, 37)',
    itemIconColorActive: common.primaryColor,
    itemIconColorActiveHover: common.primaryColor,
    itemIconColorChildActive: common.primaryColor,
    itemIconColorCollapsed: 'rgb(31, 34, 37)',
    itemTextColorHorizontal: 'rgb(51, 54, 57)',
    itemTextColorHoverHorizontal: common.primaryColor,
    itemTextColorActiveHorizontal: common.primaryColor,
    itemTextColorChildActiveHorizontal: common.primaryColor,
    itemTextColorActiveHoverHorizontal: common.primaryColor,
    itemIconColorHorizontal: 'rgb(31, 34, 37)',
    itemIconColorHoverHorizontal: common.primaryColor,
    itemIconColorActiveHorizontal: common.primaryColor,
    itemIconColorActiveHoverHorizontal: common.primaryColor,
    itemIconColorChildActiveHorizontal: common.primaryColor,
    /* 箭头 */
    arrowColor: common.textColor,
    arrowColorHover: common.textColor,
    arrowColorActive: 'rgba(0, 113, 183, 1)',
    arrowColorActiveHover: 'rgba(0, 113, 183, 1)',
    arrowColorChildActive: 'rgba(0, 113, 183, 1)',
    /* 菜单 */
    itemColorHover: 'rgba(51, 112, 255, 0.05)',
    itemColorActive: 'rgba(51, 112, 255, 0.05)',
    itemColorActiveHover: 'rgba(51, 112, 255, 0.05)',
    itemColorActiveCollapsed: 'rgba(51, 112, 255, 0.05)'
  },
  Tabs: {
    colorSegment: 'rgba(228, 228, 228, 1)',
    tabColorSegment: common.primaryColor
  }
}

export default themeOverrides
